Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.quartz.core
Interface RemotableQuartzScheduler

All Superinterfaces:
  Remote

All Known Implementing Classes:
  QuartzScheduler

    public interface RemotableQuartzScheduler

extends Remote

Author:
  James House

Method Summary
`void` | `addCalendar(SchedulingContext ctxt, String calName, Calendar calendar, boolean replace, boolean updateTriggers)`
`void` | `addGlobalJobListener(JobListener jobListener)`
`void` | `addGlobalTriggerListener(TriggerListener triggerListener)`
`void` | `addJob(SchedulingContext ctxt, JobDetail jobDetail, boolean replace)`
`void` | `addJobListener(JobListener jobListener)`
`void` | `addSchedulerListener(SchedulerListener schedulerListener)`
`void` | `addTriggerListener(TriggerListener triggerListener)`
`boolean` | `deleteCalendar(SchedulingContext ctxt, String calName)`
`boolean` | `deleteJob(SchedulingContext ctxt, String jobName, String groupName)`
`Calendar` | `getCalendar(SchedulingContext ctxt, String calName)`
`String[]` | `getCalendarNames(SchedulingContext ctxt)`
`List` | `getCurrentlyExecutingJobs()`
`JobListener` | `getGlobalJobListener(String name)`
`List` | `getGlobalJobListeners()`
`TriggerListener` | `getGlobalTriggerListener(String name)`
`List` | `getGlobalTriggerListeners()`
`JobDetail` | `getJobDetail(SchedulingContext ctxt, String jobName, String jobGroup)`
`String[]` | `getJobGroupNames(SchedulingContext ctxt)`
`JobListener` | `getJobListener(String name)`
`Set` | `getJobListenerNames()`
`String[]` | `getJobNames(SchedulingContext ctxt, String groupName)`
`Class` | `getJobStoreClass()`
`Set` | `getPausedTriggerGroups(SchedulingContext ctxt)`
`SchedulerContext` | `getSchedulerContext()`
`String` | `getSchedulerInstanceId()`
`List` | `getSchedulerListeners()`
`String` | `getSchedulerName()`
`Class` | `getThreadPoolClass()`
`int` | `getThreadPoolSize()`
`Trigger` | `getTrigger(SchedulingContext ctxt, String triggerName, String triggerGroup)`
`String[]` | `getTriggerGroupNames(SchedulingContext ctxt)`
`TriggerListener` | `getTriggerListener(String name)`
`Set` | `getTriggerListenerNames()`
`String[]` | `getTriggerNames(SchedulingContext ctxt, String groupName)`
`Trigger[]` | `getTriggersOfJob(SchedulingContext ctxt, String jobName, String groupName)`
`int` | `getTriggerState(SchedulingContext ctxt, String triggerName, String triggerGroup)`
`String` | `getVersion()`
`boolean` | `interrupt(SchedulingContext ctxt, String jobName, String groupName)`
`boolean` | `isClustered()`
`boolean` | `isInStandbyMode()`
`boolean` | `isShutdown()`
`int` | `numJobsExecuted()`
`void` | `pauseAll(SchedulingContext ctxt)`
`void` | `pauseJob(SchedulingContext ctxt, String jobName, String groupName)`
`void` | `pauseJobGroup(SchedulingContext ctxt, String groupName)`
`void` | `pauseTrigger(SchedulingContext ctxt, String triggerName, String groupName)`
`void` | `pauseTriggerGroup(SchedulingContext ctxt, String groupName)`
`boolean` | `removeGlobalJobListener(String name)`
`boolean` | `removeGlobalTriggerListener(String name)`
`boolean` | `removeJobListener(String name)`
`boolean` | `removeSchedulerListener(SchedulerListener schedulerListener)`
`boolean` | `removeTriggerListener(String name)`
`Date` | `rescheduleJob(SchedulingContext ctxt, String triggerName, String groupName, Trigger newTrigger)`
`void` | `resumeAll(SchedulingContext ctxt)`
`void` | `resumeJob(SchedulingContext ctxt, String jobName, String groupName)`
`void` | `resumeJobGroup(SchedulingContext ctxt, String groupName)`
`void` | `resumeTrigger(SchedulingContext ctxt, String triggerName, String groupName)`
`void` | `resumeTriggerGroup(SchedulingContext ctxt, String groupName)`
`Date` | `runningSince()`
`Date` | `scheduleJob(SchedulingContext ctxt, JobDetail jobDetail, Trigger trigger)`
`Date` | `scheduleJob(SchedulingContext ctxt, Trigger trigger)`
`void` | `shutdown()`
`void` | `shutdown(boolean waitForJobsToComplete)`
`void` | `standby()`
`void` | `start()`
`void` | `startDelayed(int seconds)`
`boolean` | `supportsPersistence()`
`void` | `triggerJob(SchedulingContext ctxt, String jobName, String groupName, JobDataMap data)`
`void` | `triggerJobWithVolatileTrigger(SchedulingContext ctxt, String jobName, String groupName, JobDataMap data)`
`boolean` | `unscheduleJob(SchedulingContext ctxt, String triggerName, String groupName)`

Method Detail

### getSchedulerName

    String getSchedulerName()
                            throws RemoteException

  Throws:
    `RemoteException`

### getSchedulerInstanceId

    String getSchedulerInstanceId()
                                  throws RemoteException

  Throws:
    `RemoteException`

### getSchedulerContext

    SchedulerContext getSchedulerContext()
                                         throws SchedulerException,
                                                RemoteException

  Throws:
    `SchedulerException`
    `RemoteException`

### start

    void start()
               throws SchedulerException,
                      RemoteException

  Throws:
    `SchedulerException`
    `RemoteException`

### startDelayed

    void startDelayed(int seconds)
                      throws SchedulerException,
                             RemoteException

  Throws:
    `SchedulerException`
    `RemoteException`

### standby

    void standby()
                 throws RemoteException

  Throws:
    `RemoteException`

### isInStandbyMode

    boolean isInStandbyMode()
                            throws RemoteException

  Throws:
    `RemoteException`

### shutdown

    void shutdown()
                  throws RemoteException

  Throws:
    `RemoteException`

### shutdown

    void shutdown(boolean waitForJobsToComplete)
                  throws RemoteException

  Throws:
    `RemoteException`

### isShutdown

    boolean isShutdown()
                       throws RemoteException

  Throws:
    `RemoteException`

### runningSince

    Date runningSince()
                      throws RemoteException

  Throws:
    `RemoteException`

### getVersion

    String getVersion()
                      throws RemoteException

  Throws:
    `RemoteException`

### numJobsExecuted

    int numJobsExecuted()
                        throws RemoteException

  Throws:
    `RemoteException`

### getJobStoreClass

    Class getJobStoreClass()
                           throws RemoteException

  Throws:
    `RemoteException`

### supportsPersistence

    boolean supportsPersistence()
                                throws RemoteException

  Throws:
    `RemoteException`

### isClustered

    boolean isClustered()
                        throws RemoteException

  Throws:
    `RemoteException`

### getThreadPoolClass

    Class getThreadPoolClass()
                             throws RemoteException

  Throws:
    `RemoteException`

### getThreadPoolSize

    int getThreadPoolSize()
                          throws RemoteException

  Throws:
    `RemoteException`

### getCurrentlyExecutingJobs

    List getCurrentlyExecutingJobs()
                                   throws SchedulerException,
                                          RemoteException

  Throws:
    `SchedulerException`
    `RemoteException`

### scheduleJob

    Date scheduleJob(SchedulingContext ctxt,
                     JobDetail jobDetail,
                     Trigger trigger)
                     throws SchedulerException,
                            RemoteException

  Throws:
    `SchedulerException`
    `RemoteException`

### scheduleJob

    Date scheduleJob(SchedulingContext ctxt,
                     Trigger trigger)
                     throws SchedulerException,
                            RemoteException

  Throws:
    `SchedulerException`
    `RemoteException`

### addJob

    void addJob(SchedulingContext ctxt,
                JobDetail jobDetail,
                boolean replace)
                throws SchedulerException,
                       RemoteException

  Throws:
    `SchedulerException`
    `RemoteException`

### deleteJob

    boolean deleteJob(SchedulingContext ctxt,
                      String jobName,
                      String groupName)
                      throws SchedulerException,
                             RemoteException

  Throws:
    `SchedulerException`
    `RemoteException`

### unscheduleJob

    boolean unscheduleJob(SchedulingContext ctxt,
                          String triggerName,
                          String groupName)
                          throws SchedulerException,
                                 RemoteException

  Throws:
    `SchedulerException`
    `RemoteException`

### rescheduleJob

    Date rescheduleJob(SchedulingContext ctxt,
                       String triggerName,
                       String groupName,
                       Trigger newTrigger)
                       throws SchedulerException,
                              RemoteException

  Throws:
    `SchedulerException`
    `RemoteException`

### triggerJob

    void triggerJob(SchedulingContext ctxt,
                    String jobName,
                    String groupName,
                    JobDataMap data)
                    throws SchedulerException,
                           RemoteException

  Throws:
    `SchedulerException`
    `RemoteException`

### triggerJobWithVolatileTrigger

    void triggerJobWithVolatileTrigger(SchedulingContext ctxt,
                                       String jobName,
                                       String groupName,
                                       JobDataMap data)
                                       throws SchedulerException,
                                              RemoteException

  Throws:
    `SchedulerException`
    `RemoteException`

### pauseTrigger

    void pauseTrigger(SchedulingContext ctxt,
                      String triggerName,
                      String groupName)
                      throws SchedulerException,
                             RemoteException

  Throws:
    `SchedulerException`
    `RemoteException`

### pauseTriggerGroup

    void pauseTriggerGroup(SchedulingContext ctxt,
                           String groupName)
                           throws SchedulerException,
                                  RemoteException

  Throws:
    `SchedulerException`
    `RemoteException`

### pauseJob

    void pauseJob(SchedulingContext ctxt,
                  String jobName,
                  String groupName)
                  throws SchedulerException,
                         RemoteException

  Throws:
    `SchedulerException`
    `RemoteException`

### pauseJobGroup

    void pauseJobGroup(SchedulingContext ctxt,
                       String groupName)
                       throws SchedulerException,
                              RemoteException

  Throws:
    `SchedulerException`
    `RemoteException`

### resumeTrigger

    void resumeTrigger(SchedulingContext ctxt,
                       String triggerName,
                       String groupName)
                       throws SchedulerException,
                              RemoteException

  Throws:
    `SchedulerException`
    `RemoteException`

### resumeTriggerGroup

    void resumeTriggerGroup(SchedulingContext ctxt,
                            String groupName)
                            throws SchedulerException,
                                   RemoteException

  Throws:
    `SchedulerException`
    `RemoteException`

### getPausedTriggerGroups

    Set getPausedTriggerGroups(SchedulingContext ctxt)
                               throws SchedulerException,
                                      RemoteException

  Throws:
    `SchedulerException`
    `RemoteException`

### resumeJob

    void resumeJob(SchedulingContext ctxt,
                   String jobName,
                   String groupName)
                   throws SchedulerException,
                          RemoteException

  Throws:
    `SchedulerException`
    `RemoteException`

### resumeJobGroup

    void resumeJobGroup(SchedulingContext ctxt,
                        String groupName)
                        throws SchedulerException,
                               RemoteException

  Throws:
    `SchedulerException`
    `RemoteException`

### pauseAll

    void pauseAll(SchedulingContext ctxt)
                  throws SchedulerException,
                         RemoteException

  Throws:
    `SchedulerException`
    `RemoteException`

### resumeAll

    void resumeAll(SchedulingContext ctxt)
                   throws SchedulerException,
                          RemoteException

  Throws:
    `SchedulerException`
    `RemoteException`

### getJobGroupNames

    String[] getJobGroupNames(SchedulingContext ctxt)
                              throws SchedulerException,
                                     RemoteException

  Throws:
    `SchedulerException`
    `RemoteException`

### getJobNames

    String[] getJobNames(SchedulingContext ctxt,
                         String groupName)
                         throws SchedulerException,
                                RemoteException

  Throws:
    `SchedulerException`
    `RemoteException`

### getTriggersOfJob

    Trigger[] getTriggersOfJob(SchedulingContext ctxt,
                               String jobName,
                               String groupName)
                               throws SchedulerException,
                                      RemoteException

  Throws:
    `SchedulerException`
    `RemoteException`

### getTriggerGroupNames

    String[] getTriggerGroupNames(SchedulingContext ctxt)
                                  throws SchedulerException,
                                         RemoteException

  Throws:
    `SchedulerException`
    `RemoteException`

### getTriggerNames

    String[] getTriggerNames(SchedulingContext ctxt,
                             String groupName)
                             throws SchedulerException,
                                    RemoteException

  Throws:
    `SchedulerException`
    `RemoteException`

### getJobDetail

    JobDetail getJobDetail(SchedulingContext ctxt,
                           String jobName,
                           String jobGroup)
                           throws SchedulerException,
                                  RemoteException

  Throws:
    `SchedulerException`
    `RemoteException`

### getTrigger

    Trigger getTrigger(SchedulingContext ctxt,
                       String triggerName,
                       String triggerGroup)
                       throws SchedulerException,
                              RemoteException

  Throws:
    `SchedulerException`
    `RemoteException`

### getTriggerState

    int getTriggerState(SchedulingContext ctxt,
                        String triggerName,
                        String triggerGroup)
                        throws SchedulerException,
                               RemoteException

  Throws:
    `SchedulerException`
    `RemoteException`

### addCalendar

    void addCalendar(SchedulingContext ctxt,
                     String calName,
                     Calendar calendar,
                     boolean replace,
                     boolean updateTriggers)
                     throws SchedulerException,
                            RemoteException

  Throws:
    `SchedulerException`
    `RemoteException`

### deleteCalendar

    boolean deleteCalendar(SchedulingContext ctxt,
                           String calName)
                           throws SchedulerException,
                                  RemoteException

  Throws:
    `SchedulerException`
    `RemoteException`

### getCalendar

    Calendar getCalendar(SchedulingContext ctxt,
                         String calName)
                         throws SchedulerException,
                                RemoteException

  Throws:
    `SchedulerException`
    `RemoteException`

### getCalendarNames

    String[] getCalendarNames(SchedulingContext ctxt)
                              throws SchedulerException,
                                     RemoteException

  Throws:
    `SchedulerException`
    `RemoteException`

### addGlobalJobListener

    void addGlobalJobListener(JobListener jobListener)
                              throws RemoteException

  Throws:
    `RemoteException`

### addJobListener

    void addJobListener(JobListener jobListener)
                        throws RemoteException

  Throws:
    `RemoteException`

### removeGlobalJobListener

    boolean removeGlobalJobListener(String name)
                                    throws RemoteException

  Throws:
    `RemoteException`

### removeJobListener

    boolean removeJobListener(String name)
                              throws RemoteException

  Throws:
    `RemoteException`

### getGlobalJobListeners

    List getGlobalJobListeners()
                               throws RemoteException

  Throws:
    `RemoteException`

### getJobListenerNames

    Set getJobListenerNames()
                            throws RemoteException

  Throws:
    `RemoteException`

### getGlobalJobListener

    JobListener getGlobalJobListener(String name)
                                     throws RemoteException

  Throws:
    `RemoteException`

### getJobListener

    JobListener getJobListener(String name)
                               throws RemoteException

  Throws:
    `RemoteException`

### addGlobalTriggerListener

    void addGlobalTriggerListener(TriggerListener triggerListener)
                                  throws RemoteException

  Throws:
    `RemoteException`

### addTriggerListener

    void addTriggerListener(TriggerListener triggerListener)
                            throws RemoteException

  Throws:
    `RemoteException`

### removeGlobalTriggerListener

    boolean removeGlobalTriggerListener(String name)
                                        throws RemoteException

  Throws:
    `RemoteException`

### removeTriggerListener

    boolean removeTriggerListener(String name)
                                  throws RemoteException

  Throws:
    `RemoteException`

### getGlobalTriggerListeners

    List getGlobalTriggerListeners()
                                   throws RemoteException

  Throws:
    `RemoteException`

### getTriggerListenerNames

    Set getTriggerListenerNames()
                                throws RemoteException

  Throws:
    `RemoteException`

### getGlobalTriggerListener

    TriggerListener getGlobalTriggerListener(String name)
                                             throws RemoteException

  Throws:
    `RemoteException`

### getTriggerListener

    TriggerListener getTriggerListener(String name)
                                       throws RemoteException

  Throws:
    `RemoteException`

### addSchedulerListener

    void addSchedulerListener(SchedulerListener schedulerListener)
                              throws RemoteException

  Throws:
    `RemoteException`

### removeSchedulerListener

    boolean removeSchedulerListener(SchedulerListener schedulerListener)
                                    throws RemoteException

  Throws:
    `RemoteException`

### getSchedulerListeners

    List getSchedulerListeners()
                               throws RemoteException

  Throws:
    `RemoteException`

### interrupt

    boolean interrupt(SchedulingContext ctxt,
                      String jobName,
                      String groupName)
                      throws UnableToInterruptJobException,
                             RemoteException

  Throws:
    `UnableToInterruptJobException`
    `RemoteException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2001-2012, Terracotta, Inc.